Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: martin rudalics <[email-masked]>
Date: Wed, 21 Dec 2016 09:56:19 +0100

> There seems to be also an other place where rounding does not fit. With system
 > font set, that is no custom font at all the height of the same font are different,
 > that is
 >
 >    (font-face-attributes (font-get-system-font))
 >
 > results in
 >
 >    (:family "Monospace" :height 110)
 >
 > whereas
 >
 >    (font-face-attributes (face-attribute 'default :font))
 >
 > shows
 >
 >    (:family "Source Code Pro" :height 113 :weight normal :slant normal :width normal)

I get "DejaVu Sans Mono" instead of "Source Code Pro" here and
identical values otherwise.

 > which is the same font (even over different channels) but different height. I've
 > verified this by using
 >
 >    (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
 >    (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
 >
 > Would interesting how to compare the uperficial ifferent font face attributes
 > for the same font in (font-setting-change-default-font).

I'm missing you here.

martin